Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.0 MBeans (Deprecated)

## weblogic.management.configuration
Interface WebserviceSecurityConfigurationMBean

All Superinterfaces:
  ConfigurationMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, WebLogicMBean

All Known Subinterfaces:
  WebserviceCredentialProviderMBean, WebserviceSecurityTokenMBean, WebserviceTokenHandlerMBean

public interface WebserviceSecurityConfigurationMBean
extends ConfigurationMBean

Encapsulates information about a Web Service security configuration.

This information includes the list of tokens, credential providers, token handlers, and the timestamp. After you have created a Web Service security configuration, you can associate it to a Web Service.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

Since:
  9.0.0.0

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`ConfigurationPropertyMBean` | `createConfigurationProperty(String name)` create ConfigurationProperty object
`void` | `destroyConfigurationProperty(ConfigurationPropertyMBean wsc)` destroy ConfigurationProperty object
`String` | `getClassName()` The fully qualified name of the class that implements a particular credential provider or token handler.
`ConfigurationPropertyMBean[]` | `getConfigurationProperties()` Specifies the list of properties that are associated with this credential provider or token handler.
`String` | `getTokenType()` Specifies the type of token used for the particular credential provider or token handler.
`ConfigurationPropertyMBean` | `lookupConfigurationProperty(String name)` look up ConfigurationProperty object
`void` | `setClassName(String className)` Sets the value of the ClassName attribute.
`void` | `setTokenType(String tokenType)` Sets the value of the TokenType attribute.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### createConfigurationProperty

    public ConfigurationPropertyMBean createConfigurationProperty(String name)

  create ConfigurationProperty object

  Parameters:
    `name` - of ConfigurationProperty
  Returns:
    ConfigurationProperty object
  Since:
    9.0.0.0

### destroyConfigurationProperty

    public void destroyConfigurationProperty(ConfigurationPropertyMBean wsc)

  destroy ConfigurationProperty object

  Parameters:
    `wsc` - ConfigurationProperty mbean
  Since:
    9.0.0.0

### getClassName

    public String getClassName()

  The fully qualified name of the class that implements a particular credential provider or token handler.

  A dynamic MBean attribute.

### getConfigurationProperties

    public ConfigurationPropertyMBean[] getConfigurationProperties()

  Specifies the list of properties that are associated with this credential provider or token handler.

  Returns:
    an array of ConfigurationProperty objects
  Since:
    9.0.0.0
  A dynamic MBean attribute.

### getTokenType

    public String getTokenType()

  Specifies the type of token used for the particular credential provider or token handler.

  WebLogic Server supports, by default, three types of tokens: X.509, UsernameToken, and SAML, as specified by the following WS-Security specifications:

  - Web Services Security: Username Token Profile
  - Web Services Security: X.509 Token Profile
  - Web Services Security: SAML Token Profile

  To specify one of these out-of-the-box types, use these values respectively: "ut", "x509", or "saml".

  A dynamic MBean attribute.

### lookupConfigurationProperty

    public ConfigurationPropertyMBean lookupConfigurationProperty(String name)

  look up ConfigurationProperty object

  Parameters:
    `name` - name of ConfigurationProperty
  Returns:
    ConfigurationProperty object
  Since:
    9.0.0.0

### setClassName

    public void setClassName(String className)

  Sets the value of the ClassName attribute.

### setTokenType

    public void setTokenType(String tokenType)

  Sets the value of the TokenType attribute.

  Parameters:
    `tokenType` -
  A dynamic MBean attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD